from __future__ import annotations

from .commands import add_object_commands, add_package_commands, add_module_command, exec_command, call_command
from .env import get_venv, configure_env
from .text import slugen
from .number import human_bytes
from .json import ExtendedJSONDecoder, ExtendedJSONEncoder
from .subprocess import get_subprocess_result
from .git import get_git_tags, get_git_hash, git_has_changes, check_git_version_tag
from .gpg import download_gpg_key, verify_gpg_signature
from .logging import configure_logging
from .network import configure_proxy
from .flexout import Flexout
from .tools import BaseTools

try:
    # version generated by setuptools_scm during build
    from .version import __version__
except ImportError:
    # __version__ not available before build
    __version__ = None
